<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>Modules CMOS &#8212; pydecha 0.3+13.g1a2fafa.dirty documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=b3523f8e" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=cb25574f" />
    <script src="../_static/documentation_options.js?v=2fb7d489"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="monitoring" href="modules_cmos/monitoring.html" />
    <link rel="prev" title="Modules CCD" href="modules_ccd.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="modules-cmos">
<h1>Modules CMOS<a class="headerlink" href="#modules-cmos" title="Link to this heading">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="modules_cmos/monitoring.html">monitoring</a><ul>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/monitoring.html#monitoring-analysis-module">monitoring analysis module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/monitoring.html#data-extraction">Data extraction</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/monitoring.html#plotting-the-data">Plotting the data</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/monitoring.html#analysis-block">Analysis block</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/monitoring.html#cmos.monitoring.monitoring_analysis.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="modules_cmos/noise.html">noise</a><ul>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/noise.html#noise-acquisition-module">noise acquisition module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/noise.html#table-examples">Table examples</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/noise.html#code-example">Code example</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/noise.html#useful-links">Useful links</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/noise.html#cmos.noise.noise_acquisition.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/noise.html#noise-analysis-module">noise analysis module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/noise.html#id2">Noise</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/noise.html#data-acquisition">Data acquisition</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/noise.html#computation">Computation</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/noise.html#plots">Plots</a><ul>
<li class="toctree-l4"><a class="reference internal" href="modules_cmos/noise.html#noise-map">Noise map</a></li>
<li class="toctree-l4"><a class="reference internal" href="modules_cmos/noise.html#power-spectral-density-ies">Power Spectral Density(ies)</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/noise.html#analysis-block">Analysis block</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/noise.html#cmos.noise.noise_analysis.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="modules_cmos/preampgain.html">preampgain</a><ul>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/preampgain.html#preampgain-acquisition-module">preampgain acquisition module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/preampgain.html#preamp-gain">Preamp gain</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/preampgain.html#data-acquisition">Data acquisition</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/preampgain.html#acquisition-block">Acquisition block</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/preampgain.html#cmos.preampgain.preampgain_acquisition.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/preampgain.html#preampgain-analysis-module">preampgain analysis module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/preampgain.html#computation">Computation</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/preampgain.html#plots">Plots</a><ul>
<li class="toctree-l4"><a class="reference internal" href="modules_cmos/preampgain.html#linear-fit-to-the-data">Linear fit to the data</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/preampgain.html#analysis-block">Analysis block</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/preampgain.html#cmos.preampgain.preampgain_analysis.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="modules_cmos/cellgain.html">cellgain</a><ul>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/cellgain.html#cellgain-acquisition-module">cellgain acquisition module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cellgain.html#table-examples">Table examples</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cellgain.html#code-example">Code example</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cellgain.html#useful-links">Useful links</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/cellgain.html#cmos.cellgain.cellgain_acquisition.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/cellgain.html#cellgain-analysis-module">cellgain analysis module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cellgain.html#id2">Cellgain</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cellgain.html#data-acquisition">Data acquisition</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cellgain.html#computation">Computation</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cellgain.html#plots">Plots</a><ul>
<li class="toctree-l4"><a class="reference internal" href="modules_cmos/cellgain.html#linear-fit-to-the-data">Linear fit to the data</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cellgain.html#analysis-block">Analysis block</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/cellgain.html#cmos.cellgain.cellgain_analysis.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="modules_cmos/gain.html">gain</a><ul>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/gain.html#gain-acquisition-module">gain acquisition module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/gain.html#table-examples">Table examples</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/gain.html#code-example">Code example</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/gain.html#useful-links">Useful links</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/gain.html#cmos.gain.gain_acquisition.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/gain.html#gain-analysis-module">gain analysis module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/gain.html#conversion-gain">Conversion gain</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/gain.html#photon-transfer-curve">Photon Transfer Curve</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/gain.html#data-acquisition">Data acquisition</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/gain.html#computation">Computation</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/gain.html#plots">Plots</a><ul>
<li class="toctree-l4"><a class="reference internal" href="modules_cmos/gain.html#photon-transfer-curver">Photon Transfer Curver</a></li>
<li class="toctree-l4"><a class="reference internal" href="modules_cmos/gain.html#boxes">Boxes</a></li>
<li class="toctree-l4"><a class="reference internal" href="modules_cmos/gain.html#gain-fit">Gain fit</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/gain.html#analysis-block">Analysis block</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/gain.html#cmos.gain.gain_analysis.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="modules_cmos/cosmetics.html">cosmetics</a><ul>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/cosmetics.html#cosmetics-acquisition-module">cosmetics acquisition module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cosmetics.html#table-examples">Table examples</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cosmetics.html#code-example">Code example</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cosmetics.html#useful-links">Useful links</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/cosmetics.html#cmos.cosmetics.cosmetics_acquisition.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/cosmetics.html#cosmetics-analysis-module">cosmetics analysis module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cosmetics.html#id2">Cosmetics</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cosmetics.html#data-acquisition">Data acquisition</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cosmetics.html#computation">Computation</a></li>
<li class="toctree-l3"><a class="reference internal" href="modules_cmos/cosmetics.html#plots">Plots</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/cosmetics.html#cmos.cosmetics.cosmetics_analysis.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
</ul>
</li>
</ul>
</div>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">pydecha</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Introduction</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../introduction/pydecha.html">PYDECHA</a></li>
<li class="toctree-l1"><a class="reference internal" href="../introduction/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../introduction/first_steps.html">Getting started</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Characterization modules</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="new_module.html">Tutorial for new module</a></li>
<li class="toctree-l1"><a class="reference internal" href="modules_ccd.html">Modules CCD</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Modules CMOS</a><ul>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/monitoring.html">monitoring</a></li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/noise.html">noise</a></li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/preampgain.html">preampgain</a></li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/cellgain.html">cellgain</a></li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/gain.html">gain</a></li>
<li class="toctree-l2"><a class="reference internal" href="modules_cmos/cosmetics.html">cosmetics</a></li>
</ul>
</li>
</ul>
<p class="caption" role="heading"><span class="caption-text">About</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../about/acronyms.html">Acronyms</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/changelog.html">Change log</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/faq.html">FAQ</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/references.html">References</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
      <li>Previous: <a href="modules_ccd.html" title="previous chapter">Modules CCD</a></li>
      <li>Next: <a href="modules_cmos/monitoring.html" title="next chapter">monitoring</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, European Southern Observatory.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="../_sources/modules/modules_cmos.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>